/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */

using System;
using System.IO;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Reflection;
using RestSharp;
using Xunit;

using Coscine.ApiClient.Core.Client;
using Coscine.ApiClient.Core.Api;
// uncomment below to import models
//using Coscine.ApiClient.Core.Model;

namespace Coscine.ApiClient.Core.Test.Api
{
    /// <summary>
    ///  Class for testing ProjectInvitationApi
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the API endpoint.
    /// </remarks>
    public class ProjectInvitationApiTests : IDisposable
    {
        private ProjectInvitationApi instance;

        public ProjectInvitationApiTests()
        {
            instance = new ProjectInvitationApi();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of ProjectInvitationApi
        /// </summary>
        [Fact]
        public void InstanceTest()
        {
            // TODO uncomment below to test 'IsType' ProjectInvitationApi
            //Assert.IsType<ProjectInvitationApi>(instance);
        }

        /// <summary>
        /// Test ApiV2ProjectsProjectIdInvitationsOptions
        /// </summary>
        [Fact]
        public void ApiV2ProjectsProjectIdInvitationsOptionsTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string projectId = null;
            //instance.ApiV2ProjectsProjectIdInvitationsOptions(projectId);
        }

        /// <summary>
        /// Test CreateProjectInvitation
        /// </summary>
        [Fact]
        public void CreateProjectInvitationTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string projectId = null;
            //ProjectInvitationForProjectManipulationDto? projectInvitationForProjectManipulationDto = null;
            //var response = instance.CreateProjectInvitation(projectId, projectInvitationForProjectManipulationDto);
            //Assert.IsType<ProjectInvitationDtoResponse>(response);
        }

        /// <summary>
        /// Test DeleteProjectInvitation
        /// </summary>
        [Fact]
        public void DeleteProjectInvitationTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string projectId = null;
            //Guid projectInvitationId = null;
            //instance.DeleteProjectInvitation(projectId, projectInvitationId);
        }

        /// <summary>
        /// Test GetProjectInvitation
        /// </summary>
        [Fact]
        public void GetProjectInvitationTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string projectId = null;
            //Guid projectInvitationId = null;
            //var response = instance.GetProjectInvitation(projectId, projectInvitationId);
            //Assert.IsType<ProjectInvitationDtoResponse>(response);
        }

        /// <summary>
        /// Test GetProjectInvitations
        /// </summary>
        [Fact]
        public void GetProjectInvitationsTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string projectId = null;
            //int? pageNumber = null;
            //int? pageSize = null;
            //string? orderBy = null;
            //var response = instance.GetProjectInvitations(projectId, pageNumber, pageSize, orderBy);
            //Assert.IsType<ProjectInvitationDtoPagedResponse>(response);
        }
    }
}
